Subject: Re: [PATCH -v2 0/7] powerpc: use asm-generic/dma-mapping-common.h

From: Takashi Iwai <[email-masked]>
Date: Thu, 13 Aug 2009 09:11:01 +0200

At Thu, 13 Aug 2009 16:51:53 +1000,
Benjamin Herrenschmidt wrote:
> 
> On Thu, 2009-08-13 at 16:44 +1000, Benjamin Herrenschmidt wrote:
> > On Wed, 2009-08-05 at 14:08 +0900, FUJITA Tomonori wrote:
> > 
> > > The above swiotlb patchset was merged in -tip so I think that merging
> > > this patchset via -tip too is the easiest way to handle this patchset.
> > > 
> > > The patchset also is available via a git tree:
> > > 
> > > git://git.kernel.org/pub/scm/linux/kernel/git/tomo/linux-2.6-misc.git powerpc
> > 
> > Hi !
> > 
> > While I generally agree here with the patches, I'm not sure it should be
> > merged via -tip since it mostly touches arch/powerpc files (and I need
> > to review it a bit more carefully, hopefully you'll have Ack's hitting
> > your mailbox later today).
> 
> Maybe best is that I pull your series too. Note that your patch clashes
> with Takashi's addition of dma_mmap_coherent() :
> 
> http://patchwork.ozlabs.org/patch/29595/
> 
> Can you sort that out with Takashi as I'd like his patch in -next soon
> too.

I'm willing to rebase my patches to the generic dma_ops, so feel free
to pull it first.

It might need to add mmap_coherent op to all platforms when generic
dma ops is used.  This would be more volume but less hackish than the
previous version, OTOH :)

thanks,

Takashi